package ejb30.persistence.datatypes.ejb;

import javax.persistence.*;
import java.util.*;

@Entity
@Table(name = "DATATYPES")
public class DataTypes implements java.io.Serializable{
    
    private int id;
    private boolean booleanData;
    private Byte byteData;
    private char characterData;
    private Short shortData;
    private Integer integerData;       
    private Long longData;
    private Float floatData;
    private java.util.Date utilDateData;
    private java.sql.Date sqlDateData;
    private java.sql.Timestamp timeStampData;

    public DataTypes()
    {
    }
    
    public DataTypes(int id, boolean booleanData, Byte byteData, char characterData, Short shortData, Integer integerData, Long longData, Float floatData, java.util.Date utilDateData, java.sql.Date sqlDateData, java.sql.Timestamp timeStampData)
    {
	this.id = id;
        this.booleanData = booleanData;
        this.byteData = byteData;
        this.characterData = characterData;
        this.shortData = shortData;
        this.integerData = integerData;
        this.longData = longData;
        this.floatData = floatData;
        this.utilDateData = utilDateData;
        this.sqlDateData = sqlDateData;
	this.timeStampData = timeStampData;
    }

   @Id
   @Column(name="ID")
   public int getId()
   {
      return id;
   }

   public void setId(int id)
   {
      this.id= id;
   }
   
   @Column(name = "BOOLEANDATA")
   public boolean getBooleanData(){
       return booleanData;
       
   }

    public  void setBooleanData(boolean booleanData)
   {
      this.booleanData = booleanData;
   }
    
    @Column(name = "BYTEDATA")
    public  Byte getByteData()
    {
        return byteData;
    }
    public  void setByteData(Byte byteData)
   {
      this.byteData= byteData;
   }
    
    @Column(name = "CHARACTERDATA")
    public char getCharacterData()
    {
        return characterData;
    }
    public void setCharacterData(char characterData)
   {
      System.out.println("Got characterData as : " + characterData );
      this.characterData = characterData;
      System.out.println("returning from the method...");
   }
    
    @Column(name = "SHORTDATA")
    public  Short getShortData(){
        return shortData;
    }
    public  void setShortData(Short shortData)
   {
      this.shortData = shortData;
   }

    @Column(name = "INTEGERDATA")
    public  Integer getIntegerData(){
        return integerData;
    }

   public  void setIntegerData(Integer integerData)
   {
      this.integerData = integerData;
   }
    
    @Column(name = "LONGDATA")
    public  Long getLongData(){
        return longData;
    }

   public void setLongData(Long longData)
   {
      this.longData = longData;
   }

    @Column(name = "FLOATDATA")
    public  Float getFloatData(){
        return floatData;
    }

   public void setFloatData(Float floatData)
   {
      this.floatData = floatData;
   }

    @Column(name = "UTILDATEDATA")
    @Temporal(TemporalType.DATE)
    public  java.util.Date getUtilDateData(){
        return utilDateData;
    }

   public void setUtilDateData(java.util.Date utilDateData)
   {
      this.utilDateData = utilDateData;
   }

    @Column(name = "SQLDATEDATA")
  //@javax.persistence.Temporal(javax.persistence.TemporalType.DATE)
    public  java.sql.Date getSqlDateData(){
        return sqlDateData;
    }

   public void setSqlDateData(java.sql.Date sqlDateData)
   {
      this.sqlDateData = sqlDateData;
   }

    @Column(name = "TIMESTAMPDATA")
    public  java.sql.Timestamp getTimeStampData(){
        return timeStampData;
    }

   public void setTimeStampData(java.sql.Timestamp timeStampData)
   {
      this.timeStampData = timeStampData;
   }
}
