package ejb30.persistence.datatypes.ejb;

import javax.ejb.Remote;
import java.util.List;

@Remote
public interface DataTypesSession
{

    public int create(int id, Boolean booleanData, Byte byteData, Character characterData, Short shortData, Integer integerData, Long longData, Float floatData, java.util.Date utilDateData, java.sql.Date sqlDateData, java.sql.Timestamp timeStampData);
    
    public void merge(DataTypes d);
    
    public List whereWithLong(long l);
    public List whereWithFloat(Float l);
    public List whereWithShort(short l);
    public List whereWithInteger(Integer l);
    public List whereWithCharacter(Character l);
    public List whereWithByte(Byte l);
    public List utilDateSelection(java.util.Date l);
    public List sqlDateSelection(java.sql.Date l);
    public List timeStampSelection(java.sql.Timestamp l);
    public List maxRowSelection(Integer l);

    DataTypes find(int id);
    public void remove(DataTypes del);
    
    public Double getAvgofShort();
    public Double getAvgofByte();
    public Double getAvgofLong();
    public Double getAvgofFloat();
    public Double getAvgofInteger();
}
